Search documentation of bb

# BB.Dsl.CategoryTransformer (bb v0.17.0)

Copy Markdown View Source

Collects category definitions and injects category-related functions.

This transformer:

- Collects all categories defined in the `commands` section
- Adds the built-in `:default` category if not explicitly defined
- Injects `__bb_categories__/0` and `__bb_category_limits__/0` functions

## Summary

### Functions

after_compile?()

Callback implementation for `Spark.Dsl.Transformer.after_compile?/0`.

## Functions

# after_compile?()

Callback implementation for `Spark.Dsl.Transformer.after_compile?/0`.